## org.eclipse.datatools.sqltools.schemaobjecteditor.ui
Interface IResourceChangeEvent

All Known Implementing Classes:
  ResourceChangeEvent

    public interface IResourceChangeEvent

The resource change event

Author:
  Idull

Field Summary
`static int` `POST_CHANGE`
`static int` `POST_DELETE`
`static int` `POST_RENAME`
`static int` `PRE_CHANGE`
`static int` `PRE_DELETE`
`static int` `PRE_RENAME`

Method Summary
`java.lang.Object` `getSource()` Returns the resouce object, which will be useful when the resource is changed.
`int` `getType()` Returns the type of the event

Field Detail

### PRE_DELETE

    static final int PRE_DELETE

See Also:
  Constant Field Values

### POST_DELETE

    static final int POST_DELETE

See Also:
  Constant Field Values

### PRE_RENAME

    static final int PRE_RENAME

See Also:
  Constant Field Values

### POST_RENAME

    static final int POST_RENAME

See Also:
  Constant Field Values

### PRE_CHANGE

    static final int PRE_CHANGE

See Also:
  Constant Field Values

### POST_CHANGE

    static final int POST_CHANGE

See Also:
  Constant Field Values

Method Detail

### getType

    int getType()

  Returns the type of the event

  Returns:
  See Also:
    `PRE_DELETE`, `POST_DELETE`, `PRE_RENAME`, `POST_RENAME`, `PRE_CHANGE`, `POST_CHANGE`

### getSource

    java.lang.Object getSource()

  Returns the resouce object, which will be useful when the resource is changed.

  Returns: